Skip to main content

Instance Groups

List instance groups

Workspaces API

Version: 1.0
Preview

Returns a list of instance groups for the Evo instance along with their members and roles

Parameters

authorizationstring
Required

Set to "opt-in" to be able to use this API.

Set to "opt-in" to be able to use this API. This header is being deprecated. Please use the API-Preview header.

org_iduuid
Required

Returns

200

Successful Response

descriptionstring
iduuid
ims_groupsstring[]

emailstring
full_namestring
iduuid
namestring

descriptionstring
iduuid
namestring

Endpoint

GET
/workspace/orgs/{org_id}/members/groups

Request

curl -X GET 'https://{service_host}/workspace/orgs/{org_id}/members/groups' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"groups": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ims_groups": [
"string"
],
"members": [
{
"email": "string",
"full_name": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"name": "string",
"roles": [
{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
]
}
]
}

Update instance group members

Workspaces API

Version: 1.0
Preview

Update the members of a group in the Evo instance

Parameters

authorizationstring
Required

Set to "opt-in" to be able to use this API.

Set to "opt-in" to be able to use this API. This header is being deprecated. Please use the API-Preview header.

group_iduuid
Required
org_iduuid
Required

ims_groupsstring[]
Required

{
"ims_groups": [
"string"
]
}

Returns

200

Successful Response

descriptionstring
iduuid
ims_groupsstring[]

created_datedate-time
emailstring
expiration_datedate-time
iduuid
invited_by_emailstring
statusstring

emailstring
full_namestring
iduuid
namestring

Endpoint

PATCH
/workspace/orgs/{org_id}/members/groups/{group_id}

Request

curl -X PATCH 'https://{service_host}/workspace/orgs/{org_id}/members/groups/{group_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ims_groups": [
"string"
],
"invitations": [
{
"created_date": "2024-07-29T15:51:28.071Z",
"email": "string",
"expiration_date": "2024-07-29T15:51:28.071Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invited_by_email": "string",
"status": "string"
}
],
"members": [
{
"email": "string",
"full_name": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"name": "string"
}

What is the reason for your feedback?